DX Application Performance Management

Expand all | Collapse all

Java Agent upgrade

Jump to Best Answer
  • 1.  Java Agent upgrade

    Posted 10-29-2018 03:01 AM

    Hi

    we have to upgrade all the java agents to the latest 10.7 version

    so want to know that which previous version of agents supports a direct upgrade to 10.7 version.

     

    Thanks



  • 2.  Re: Java Agent upgrade

    Posted 10-29-2018 09:36 AM

    Dear Imran:

    Most agent upgrades are fresh installs anyway -- Agent Upgrades - CA Application Performance Management - 10.7 - CA Technologies Documentation You can change config files afterwards. So question is kind of moot.

     

    Dear Community:

    Can you offer other suggestions?

     

    Thanks

    Hal German



  • 3.  Re: Java Agent upgrade
    Best Answer

    Posted 10-29-2018 10:28 AM

    imran_ali

     

    Here is an example how I saw and I  did  upgrade my agents.

    Copy 10.7 agent files in the location where you have already agent folder installed. for example.

    You already have agent install in

       /opt/CA/APM/10.5.x.x/wily/.

      copy 10.7.x.x agent in

      /opt/CA/APM/10.7.x.x./wily/

    Now configure your 10.7 IntroscopeAgent.profile file and other files as per your requirement.

    Then update your agent startup file /JVM argument and restart your JVM.

     

    Thanks



  • 4.  Re: Java Agent upgrade

    Posted 10-30-2018 06:50 AM

    Hi 

     

    so basically we are changing the configuration of 10.7 IntroscopeAgent.profiles,

    and what about the old data that the agents are collecting and the logs? 

    And will the old data be mapped in the backend?

    And what other files I have to configure?

    can u please provide some detailed information on upgrade procedure, please.

     

    Thanks.



  • 5.  Re: Java Agent upgrade

    Posted 10-30-2018 09:21 AM

    I don't know if there is a upgrade bin or exe file to which you can run and it will upgrade your agent.

     

    Following will help you to configure 10.7 Agent as I instructed above.

    Open your  existing version agent profile file "/opt/CA/APM/10.5.x.x/IntroscopeAgent.profiles". and use same directives in 10.7 /opt/CA/APM/10.7.x.x/IntroscopeAgent.profiles file.

    Also don't forget to update your AgentManager with MOM address.

    After that open your application server console or Application startup file. and update JVM argument / startup file. you only need to replace 10.5.x.x with 10.7.x.x.

    your Questions

    Q: How about the old data.

    A: Data is saved in Collectors Smartstor directory usually /data. so you are good because it is not saved in agent machines.

    Q: And will the old data be mapped in the backend?

    A:  YES

    Q: And what other files I have to configure?

    A: Don't configure anything. 10.7 Agents are mature enough not to configure anything. 

     

    as soon as you  will recycle your JVM the new logs will start saving in .....10.7.x.x/logs. if you want to check old logs you can find them ..../10.5/logs.

    I  hope it will help you a lot.

    also www.wiki.ca.com/apm will also help you a lot to  find the answers of yours questions.



  • 6.  Re: Java Agent upgrade

    Posted 10-30-2018 09:45 AM

    There is no actual upgrade bin or exe file for the Agent.  The way you just explained it is the best way to "upgrade" an agent.



  • 7.  Re: Java Agent upgrade

    Posted 11-13-2018 01:16 AM

    Hi junaidwily

     

    I wanted to know till which version of agent is apm 10.7 backwards compatible?

    Also need to know which agent support tomcat using java 1.5?

     

    Thanks



  • 8.  Re: Java Agent upgrade

    Posted 11-13-2018 01:19 AM

    You can use the search option in PCM: https://pcm.ca.com

     

    Java 5 hasn't been supported by Oracle or CA since Oracle EOL'd that version.



  • 9.  Re: Java Agent upgrade

    Posted 11-13-2018 04:49 AM

    Hi Hiko_Davis

     

    Let’s not go by EOL, it’s not a matter of support but compatibility

     

    The customer is running an application which uses java 1.5 and it needs to be monitored via APM… I need a solution.

     

    They have have APM 10.7 deployed… which agent can be used so that it works with the application and also is compatible with APM

     

    Thanks



  • 10.  Re: Java Agent upgrade

    Posted 11-13-2018 01:21 PM

    The last version of APM that supported Java 5 is also EOL'd, so the term is correct. APM 9.5 looks like the last version.

     

     



  • 11.  Re: Java Agent upgrade